journal_init_dev
Prev | Journal Level | Next

## Name

journal_init_dev — creates an initialises a journal structure

## Synopsis

`journal_t * journal_init_dev (` | struct block_device * | bdev,
| struct block_device * | fs_dev,
| int | start,
| int | len,
| int | blocksize`)`;

## Arguments

`bdev`

  Block device on which to create the journal

`fs_dev`

  Device which hold journalled filesystem for this journal.

`start`

  Block nr Start of journal.

`len`

  Length of the journal in blocks.

`blocksize`

  blocksize of journalling device

## Description

journal_init_dev creates a journal which maps a fixed contiguous range of blocks on an arbitrary block device.

Prev | Up | Next
Functions | Home | journal_init_inode